function y=ang_az_lin(XA,YA,XB,YB,XC,YC)
%Calculo do angulo azimutal linearizado entre tres pontos
%INPUT:
%O vertice do angulo e o ponto A, a primeira pontaria e para o ponto B
%e a segunda pontaria e para o ponto C, no sentido horario (sentido
%crescente da graduacao do aparelho
%OUTPUT:
%as 2 primeiras componentes de y referem-se ao ponto A, a 2 do meio ao
%ponto B e as 2 ultimas ao ponto C
X(1,1)=(YB-YA)/dist_hor_cal(XA,YA,XB,YB)^2-(YC-YA)/dist_hor_cal(XA,YA,XC,YC)^2; %dXA
X(2,1)=(XC-XA)/dist_hor_cal(XA,YA,XC,YC)^2-(XB-XA)/dist_hor_cal(XA,YA,XB,YB)^2; %dYA
X(3,1)=-(YB-YA)/dist_hor_cal(XA,YA,XB,YB)^2; %dXB
X(4,1)=(XB-XA)/dist_hor_cal(XA,YA,XB,YB)^2; %dYB
X(5,1)=(YC-YA)/dist_hor_cal(XA,YA,XC,YC)^2; %dXC
X(6,1)=-(XC-XA)/dist_hor_cal(XA,YA,XC,YC)^2; %dYC
y=X;
end

